%define name libquicktime
%define major 0
%define version 0.9.3
%define fversion %version
%define release 1mdk
%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%if %mdkversion <= 900
%define libname %name%major
%define libnamefire %name1394_%major
%else
%define libname %mklibname quicktime %major
%define libnamefire %mklibname quicktime1394_ %major
%endif

Summary:	A library for manipulating QuickTime files
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Video
Source0:	http://prdownloads.sourceforge.net/libquicktime/%{name}-%{fversion}.tar.bz2
Patch0:		libquicktime-0.9.3-lib64.patch.bz2
Patch3:		libquicktime-0.9.3-automake-man_MANS.patch.bz2
URL:		http://libquicktime.sourceforge.net/
BuildRequires:	gtk+1.2-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires: 	oggvorbis-devel
BuildRequires:  autoconf2.5
BuildRequires:  MesaGLU-devel
BuildRoot:	%_tmppath/%name-%version

%description
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.

%package -n %libname
Summary:	Shared library of libquicktime
Group:		System/Libraries

%description -n %libname
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.


%package -n %libname-devel
Summary:	Header files and development documentation for libquicktime
Group:		Development/C
Provides:	libquicktime-devel = %version-%release
Provides:	quicktime-devel = %version-%release
Provides:	%libname-static-devel = %version-%release
Obsoletes:	%libname-static-devel = %version-%release
Requires:	%{libname} = %{version}-%release
Requires:	%libnamefire = %version-%release
Requires:	glib-devel
Requires:	libpng-devel >= 1.0.8
Requires:	libjpeg-devel
Requires:	libdv-devel
Requires:	libraw1394-devel
Requires:	libavc1394_0-devel
Requires:	libogg-devel
Requires:  	libvorbis-devel

%description -n %libname-devel
Header files and development documentation for libquicktime.

%package -n %libnamefire
Summary:	Shared library of libquicktime1394
Group:		System/Libraries

%description -n %libnamefire
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs. 

This package contains the IEEE 1394 support library.

#%package opendivx
#Summary:	Libquicktime plugin supporting the OpenDivX codec
#Group:		Video
#
#%description opendivx
#Libquicktime plugin supporting the OpenDivX codec

# FIXME: Currently broken
%package dv
Summary:	Libquicktime plugin supporting the DV codec
Group:		Video
Requires:	%{name} = %{version}-%release
BuildRequires:	libdv-devel >= 0.9
BuildRequires:	libraw1394-devel
BuildRequires:	libavc1394-devel

# FIXME: Currently broken
%description dv
Libquicktime plugin supporting the DV codec

%package -n %libname-static-devel
Summary:	Static libquicktime libraries
Group:		Development/C
Requires:	%{libname}-devel = %{version}-%release

%description -n %libname-static-devel
Static libquicktime libraries.

%package progs
Summary:	Useful tools to operate at QuickTime files
Group:		Video
Requires:	%name = %version-%release

%description progs
Useful tools to operate on QuickTime files.


%prep
%setup -q -n %name-%fversion
%patch0 -p1 -b .lib64
%patch3 -p1 -b .automake-man_MANS
# needed for updated libtool & fixed Makefile.am
./autogen.sh

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/libquicktime/*a
rm -f %buildroot%_libdir/*.la
rm -f %buildroot%_libdir/libquicktime/lqt_opendivx.so
cp lqt-config %buildroot%_bindir
 
%clean
rm -rf $RPM_BUILD_ROOT

%post  -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post  -n %libnamefire -p /sbin/ldconfig
%postun -n %libnamefire -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_libdir}/libquicktime/lqt_audiocodec.so
%{_libdir}/libquicktime/lqt_mjpeg.so
%{_libdir}/libquicktime/lqt_png.so
%{_libdir}/libquicktime/lqt_videocodec.so
%{_libdir}/libquicktime/lqt_rtjpeg.so
%{_libdir}/libquicktime/lqt_vorbis.so

# FIXME: Currently broken
%files dv
%defattr(-,root,root)
%dir %{_libdir}/libquicktime/
%{_libdir}/libquicktime/lqt_dv.so

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libquicktime.so.*

%files -n %libnamefire
%defattr(-,root,root)
%{_libdir}/libquicktime1394.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/quicktime
%_datadir/aclocal/lqt.m4
%{_bindir}/lqt-config

#%files -n %libname-static-devel
#%defattr(-,root,root)
#%{_libdir}/lib*.a

%files progs
%defattr(-,root,root)
%doc README TODO
%{_bindir}/libquicktime_config
%_bindir/lqtplay
%_bindir/lqt_transcode
%_bindir/qt*
%_mandir/man1/lqtplay.1*


%changelog
* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- obsolete static-devel package
- add new files
- drop old codecs
- drop patch 2
- drop merged patch 1
- rediff patches 0,3
- add souce URL
- New release 0.9.3

* Sat Jun 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.2-4mdk
- fix rtjpeg build with new libtool

* Wed Apr 14 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.2-3mdk
- build dso with pic
- lib64 & 64-bit fixes

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-2mdk
- use the mdkversion macro
- new libdv

* Mon Jan 14 2004 Franck Villaume <fvill@freesurf.fr> 0.9.2-1mdk
- 0.9.2 version
- fix 64bits buildrequires

* Fri Aug 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-0.pre1.11mdk
- fix file list, bug 4831

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-0.pre1.10mdk
- rebuild for new rpm

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-0.pre1.9mdk
- fix buildrequires
- fix distriblint warning

* Thu Mar 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-0.pre1.8mdk
- add missing lqt-config

* Mon Mar 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-0.pre1.7mdk
- split out libquicktime1394 to separate package

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-0.pre1.6mdk
- fix buildrequires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-0.pre1.5mdk
- fix libpng build
- fix buildrequires

* Fri Feb 14 2003 Yves Duret <yves@zarb.org> 0.9.2-0.pre1.4mdk
- really fix URL. you know what, i sux.

* Fri Feb 14 2003 Yves Duret <yves@zarb.org> 0.9.2-0.pre1.3mdk
- fix URL.

* Thu Feb 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-0.pre1.2mdk
- patch to disable ffmpeg (needs older version)
- fix build on Mandrake 9.0

* Wed Feb 12 2003 Gtz Waschk <goetz@plf.zarb.org> 0.9.2-0.pre1.1mdk
- initial Mandrake package

* Sat Feb 02 2002 W. Michael Petullo <libquicktime@flyn.org>
- Split vorbis, opendivx, and DV plugins into separate packages.
- First working release.
